System.Web 2.0.0.0 System.ComponentModel.StringConverter

The class derives from the class and provides a list of property names for display in a property grid control in design-time environments.

You should never access a type converter directly. Instead, call the appropriate converter by using the class. For more information, see the examples in the base class.

Provides a type converter that retrieves a list of property names for the current control.

- Constructor

  This constructor is not intended to be called directly. You should never access a type converter directly. Instead, call the appropriate converter by using the class. For more information, see the examples in the base class.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  2.0.0.0
  System.ComponentModel.TypeConverter+StandardValuesCollection ``

  The method returns a collection that contains a set of strings representing the names of the current control's properties.

  Use the parameter to extract additional information about the design-time environment from which this converter is invoked. This parameter can be null, and properties on the context object can return null. If the parameter is null, this method returns null.

  Returns a collection of property names for the control within a designer that implements when provided with a format context.

  A that contains a set of strings representing property names for the current control. If the current control is null, an empty collection is returned. If the parameter is null, null is returned.

  An that provides a format context that can be used to extract additional information about the environment from which this converter is invoked. This parameter or properties of this parameter can be null.
- Method
  2.0.0.0
  System.Boolean ``

  The method always returns false to indicate that the list of property values returned by the method is not an exclusive list of possible values.

  Use the parameter to extract additional information about the environment from which this converter is invoked. This parameter can be null, and properties on the context object can return null.

  Returns a value that indicates whether the collection of standard values returned by the method is an exclusive list of possible values, using the specified context.

  false in all cases, which indicates that the list is not exclusive.

  An that provides a format context that can be used to extract additional information about the environment from which this converter is invoked. This parameter or properties of this parameter can be null.
- Method
  2.0.0.0
  System.Boolean ``

  The method returns a value that indicates whether this object supports a standard set of values.

  The parameter extracts additional information about the design-time environment from which this converter is invoked. This parameter can be null, and properties on the context object can return null. If the parameter is null, this method returns false.

  Returns a value that indicates whether this object supports a standard set of values that can be chosen from a list, using the specified context.

  true if the parameter is not null; otherwise, false.

  An that provides a format context that can be used to extract additional information about the environment from which this converter is invoked. This parameter or properties of this parameter can be null.